[
  {
    "address": "https://www.musixmatch.com",
    "direct_url_template": "",
    "is_end_tag_included": false,
    "is_lowercase": false,
    "is_numeric": false,
    "is_start_tag_included": false,
    "name": "Musixmatch",
    "replacements": [],
    "search_url_template": "<SERVER>/search/<ARTIST> <TITLE>#",
    "search_result_url_template": "<SERVER>/<SEARCH_RESULT_CAPTION>",
    "search_result_regex": "href=\"/(lyrics/.+)\"",
    "start_end_tags": [
      {
        "end_tag": "</div>",
        "start_tag": "<div>"
      }
    ]
  },
  {
    "address": "https://genius.com",
    "direct_url_template": "<SERVER>/<ARTIST>-<TITLE>-lyrics",
    "is_end_tag_included": false,
    "is_lowercase": true,
    "is_numeric": false,
    "is_start_tag_included": false,
    "name": "Genius",
    "replacements": [],
    "search_url_template": "",
    "search_result_url_template": "",
    "search_result_regex": "",
    "start_end_tags": [
      {
        "end_tag": "</div>",
        "start_tag": "<div>"
      }
    ]
  },
  {
    "address": "https://sonichits.com/video",
    "direct_url_template": "<SERVER>/<ARTIST>/<TITLE>",
    "is_end_tag_included": false,
    "is_lowercase": true,
    "is_numeric": false,
    "is_start_tag_included": false,
    "name": "Sonichits",
    "replacements": [
      {
        "replacement_from": " ",
        "replacement_to": "-"
      }
    ],
    "search_url_template": "",
    "search_result_url_template": "",
    "search_result_regex": "",
    "start_end_tags": [
      {
        "end_tag": "</div>",
        "start_tag": "<div>"
      }
    ]
  }
]